Латинизация русской кириллицы
=======================

Используется следующее соответствие:
- *а* —  *a*;
- *б* —  *b*;
- *в* —  *v*;
- *г* —  *g*;
- *д* —  *d*;
- *е* — *ye*, если йотирована и при этом находится: в начале слова, после согласной, после разделительных знаков;
- *е* —  *e*, во всех остальных случаях;
- *ё* — *yo*, если йотирована (в начале слов, после гласных и разделительных знаков);
- *ё* —  *o*, если не йотирована и стоит после непарных твердых согласных;
- *ё* — *ho*, во всех остальных случаях;
- *ж* —  *j*;
- *з* —  *z*;
- *и* —  *i*;
- *й* —  *y*;
- *к* —  *k*;
- *л* —  *l*;
- *м* —  *m*;
- *н* —  *n*;
- *о* —  *o*;
- *п* —  *p*;
- *р* —  *r*;
- *с* —  *s*;
- *т* —  *t*;
- *у* —  *u*;
- *ф* —  *f*;
- *х* —  *x*;
- *ц* —  *c*;
- *ч* — *ch*;
- *ш* —  *w*;
- *щ* — *wh*;
- *ъ* —  *q*, если стоит после *л*, *н*, *м*, *р* и перед йотированными гласными или если стоит на конце слова, имитируя старую орфографию, в других случаях не требуется;
- *ы* —  *i*, если стоит после непарной твердой согласной;
- *ы* — *qi*, во всех остальных случаях;
- *ь* —  *h*, если согласная перед ней требует смягчения, которого бы не было без неё;
- *э* —  *e*, если следует за непарной твердой согласной, а также в начале слов;
- *э* — *qe*, во всех остальных случаях;
- *ю* — *yu*, если йотирована (в начале слов, после гласных и разделительных знаков);
- *ю* —  *u*, если не йотирована и при этом стоит после непарных твердых согласных;
- *ю* — *hu*, во всех остальных случаях;
- *я* — *ya*, если йотирована (в начале слов, после гласных и разделительных знаков);
- *я* —  *a*, если не йотирована и стоит после непарных твердых согласных;
- *я* — *ha*, во всех остальных случаях.

Используется не всегда буквальное, а, скорее, слоговое соответствие, поэтому допускаются не строго механистичные замены и предлагается использовать ряд вспомогательных правил там, где соответствие не буквально:
- Буквосочетание *ьо* после *л* или *н*, встречающееся в заимствованных словах, которое произносится с йотирование передается как *yo*.
- Буква *y* не смягчает предыдущую согласную, за исключением случаев, когда обозначает йотированность гласной после сонорной согласной. В таких случаях, если стоит разделительный *ъ*, то он обозначается *q*. В остальных случаях смягчение обозначается на письме либо буквой *h*, либо следующей за ней смягчающей гласной *e* или *i*.
- Если на письме в заимствованных словах предполагается смягчение согласной, которое не происходит, это можно отражать отходом при латинизации от кириллического написания. Но, в основном, рекомендуется сохранять буквенное соответствие с кириллическим написанием, так как часто одной из норм является смягченное произношение. Например, допускаются два варианта произношения: со смягченной согласной перед *е* и с несмягчённой в слове *бактерицидный*.
- В словах *веешь*, *смеешь*, *вошь* и подобных, там где мягкий знак не несёт орфоэпической функции он не транслитерируется, иначе проставление *h* меняло бы букву, например, с *ш* (*w*) на *щ* (*wh*).
- В словах с *ъ* на конце, имитирующих старую орфографию, проставление *q* допустимо, так как не меняет прочтение слова.

Примеры:

- авдотья - avdothya;
- отъявленный - otyavlennqiy;
- бактерицидный - baktericidnqiy;
- вьюга - vhyuga;
- юг - yug;
- эра - era;
- цирк - cirk;
- жюри - juri;
- щебетать - whebetath;
- парашют - parawut;
- аллофон - allofon;
- съезд - syezd;
- метр - metr;
- мэтр - mqetr;
- лук - luk;
- люк - lhuk;
- клык - klqk;
- клик - klik;
- клён - klhon;
- клон - klon;
- раса - rasa;
- ряса - rhasa;
- пот - pot;
- под - pod;
- топ - top;
- топь - toph;
- йод - yod;
- яд - yad;
- подыграть - podqgrath;
- вожжи - vojji;
- жужжать - jujjath;
- объём - obyom;
- выемка - vqiemka;
- гальюн - galyun;
- веет - veet;
- веешь - veew;
- епархия - yeparxiya;
- ералаш - yeralaw;
- красивые - krasivqie;
- коммерсантъ - kommersantq.